// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: SpeedAndAzimuth.proto

package ru.omnicomm.pegasus.messaging.data.location;

public final class SpeedAndAzimuthParser {
  private SpeedAndAzimuthParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class SpeedAndAzimuth extends
      com.google.protobuf.GeneratedMessage {
    // Use SpeedAndAzimuth.newBuilder() to construct.
    private SpeedAndAzimuth() {
      initFields();
    }
    private SpeedAndAzimuth(boolean noInit) {}
    
    private static final SpeedAndAzimuth defaultInstance;
    public static SpeedAndAzimuth getDefaultInstance() {
      return defaultInstance;
    }
    
    public SpeedAndAzimuth getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 58];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 58;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional bool valid = 100 [default = true];
    public static final int VALID_FIELD_NUMBER = 100;
    private boolean hasValid;
    private boolean valid_ = true;
    public boolean hasValid() { return hasValid; }
    public boolean getValid() { return valid_; }
    
    // optional double speed = 101;
    public static final int SPEED_FIELD_NUMBER = 101;
    private boolean hasSpeed;
    private double speed_ = 0D;
    public boolean hasSpeed() { return hasSpeed; }
    public double getSpeed() { return speed_; }
    
    // optional double azimuth = 102;
    public static final int AZIMUTH_FIELD_NUMBER = 102;
    private boolean hasAzimuth;
    private double azimuth_ = 0D;
    public boolean hasAzimuth() { return hasAzimuth; }
    public double getAzimuth() { return azimuth_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasValid()) {
        output.writeBool(100, getValid());
      }
      if (hasSpeed()) {
        output.writeDouble(101, getSpeed());
      }
      if (hasAzimuth()) {
        output.writeDouble(102, getAzimuth());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasValid()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(100, getValid());
      }
      if (hasSpeed()) {
        size += com.google.protobuf.CodedOutputStream
          .computeDoubleSize(101, getSpeed());
      }
      if (hasAzimuth()) {
        size += com.google.protobuf.CodedOutputStream
          .computeDoubleSize(102, getAzimuth());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth other) {
        if (other == ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        if (other.hasSpeed()) {
          setSpeed(other.getSpeed());
        }
        if (other.hasAzimuth()) {
          setAzimuth(other.getAzimuth());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 800: {
              setValid(input.readBool());
              break;
            }
            case 809: {
              setSpeed(input.readDouble());
              break;
            }
            case 817: {
              setAzimuth(input.readDouble());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 58];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 58;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional bool valid = 100 [default = true];
      public boolean hasValid() {
        return result.hasValid();
      }
      public boolean getValid() {
        return result.getValid();
      }
      public Builder setValid(boolean value) {
        result.hasValid = true;
        result.valid_ = value;
        return this;
      }
      public Builder clearValid() {
        result.hasValid = false;
        result.valid_ = true;
        return this;
      }
      
      // optional double speed = 101;
      public boolean hasSpeed() {
        return result.hasSpeed();
      }
      public double getSpeed() {
        return result.getSpeed();
      }
      public Builder setSpeed(double value) {
        result.hasSpeed = true;
        result.speed_ = value;
        return this;
      }
      public Builder clearSpeed() {
        result.hasSpeed = false;
        result.speed_ = 0D;
        return this;
      }
      
      // optional double azimuth = 102;
      public boolean hasAzimuth() {
        return result.hasAzimuth();
      }
      public double getAzimuth() {
        return result.getAzimuth();
      }
      public Builder setAzimuth(double value) {
        result.hasAzimuth = true;
        result.azimuth_ = value;
        return this;
      }
      public Builder clearAzimuth() {
        result.hasAzimuth = false;
        result.azimuth_ = 0D;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuth)
    }
    
    static {
      defaultInstance = new SpeedAndAzimuth(true);
      ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuth)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\025SpeedAndAzimuth.proto\022+ru.omnicomm.peg" +
      "asus.messaging.data.location\"\206\001\n\017SpeedAn" +
      "dAzimuth\022\020\n\010sourceId\030\001 \002(\005\022\027\n\013messageTyp" +
      "e\030\002 \001(\005:\00258\022\023\n\013messageTime\030\003 \002(\005\022\023\n\005vali" +
      "d\030d \001(\010:\004true\022\r\n\005speed\030e \001(\001\022\017\n\007azimuth\030" +
      "f \001(\001BD\n+ru.omnicomm.pegasus.messaging.d" +
      "ata.locationB\025SpeedAndAzimuthParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_location_SpeedAndAzimuth_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Valid", "Speed", "Azimuth", },
              ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.class,
              ru.omnicomm.pegasus.messaging.data.location.SpeedAndAzimuthParser.SpeedAndAzimuth.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
